org.jfree.chart.plot

## Class PiePlotState

- java.lang.Object
- - org.jfree.chart.renderer.RendererState
  - - org.jfree.chart.plot.PiePlotState

    public class PiePlotState
    extends RendererState

A renderer state.

### Constructor Summary

Constructors
Constructor and Description
`PiePlotState(PlotRenderingInfo info)` Creates a new object for recording temporary state information for a renderer.

### Method Summary

Methods
`java.awt.geom.Rectangle2D` `getExplodedPieArea()` Returns the exploded pie area.
`double` `getLatestAngle()` Returns the latest angle.
`java.awt.geom.Rectangle2D` `getLinkArea()` Returns the link area.
`int` `getPassesRequired()` Returns the number of passes required by the renderer.
`java.awt.geom.Rectangle2D` `getPieArea()` Returns the pie area.
`double` `getPieCenterX()` Returns the x-coordinate of the center of the pie chart.
`double` `getPieCenterY()` Returns the y-coordinate (in Java2D space) of the center of the pie chart.
`double` `getPieHRadius()` Returns the vertical pie radius.
`double` `getPieWRadius()` Returns the horizontal pie radius.
`double` `getTotal()` Returns the total of the values in the dataset.
`void` `setExplodedPieArea(java.awt.geom.Rectangle2D area)` Sets the exploded pie area.
`void` `setLatestAngle(double angle)` Sets the latest angle.
`void` `setLinkArea(java.awt.geom.Rectangle2D area)` Sets the label link area.
`void` `setPassesRequired(int passes)` Sets the number of passes required by the renderer.
`void` `setPieArea(java.awt.geom.Rectangle2D area)` Sets the pie area.
`void` `setPieCenterX(double x)` Sets the x-coordinate of the center of the pie chart.
`void` `setPieCenterY(double y)` Sets the y-coordinate of the center of the pie chart.
`void` `setPieHRadius(double radius)` Sets the vertical pie radius.
`void` `setPieWRadius(double radius)` Sets the horizontal pie radius.
`void` `setTotal(double total)` Sets the total.

### Methods inherited from class org.jfree.chart.renderer.RendererState

`getEntityCollection, getInfo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PiePlotState

    public PiePlotState(PlotRenderingInfo info)

Creates a new object for recording temporary state information for a renderer.

Parameters:
  `info` - the plot rendering info.

### Method Detail

#### getPassesRequired

    public int getPassesRequired()

Returns the number of passes required by the renderer.

Returns:
  The number of passes.

#### setPassesRequired

    public void setPassesRequired(int passes)

Sets the number of passes required by the renderer.

Parameters:
  `passes` - the passes.

#### getTotal

    public double getTotal()

Returns the total of the values in the dataset.

Returns:
  The total.

#### setTotal

    public void setTotal(double total)

Sets the total.

Parameters:
  `total` - the total.

#### getLatestAngle

    public double getLatestAngle()

Returns the latest angle.

Returns:
  The latest angle.

#### setLatestAngle

    public void setLatestAngle(double angle)

Sets the latest angle.

Parameters:
  `angle` - the angle.

#### getPieArea

    public java.awt.geom.Rectangle2D getPieArea()

Returns the pie area.

Returns:
  The pie area.

#### setPieArea

    public void setPieArea(java.awt.geom.Rectangle2D area)

Sets the pie area.

Parameters:
  `area` - the area.

#### getExplodedPieArea

    public java.awt.geom.Rectangle2D getExplodedPieArea()

Returns the exploded pie area.

Returns:
  The exploded pie area.

#### setExplodedPieArea

    public void setExplodedPieArea(java.awt.geom.Rectangle2D area)

Sets the exploded pie area.

Parameters:
  `area` - the area.

#### getPieCenterX

    public double getPieCenterX()

Returns the x-coordinate of the center of the pie chart.

Returns:
  The x-coordinate (in Java2D space).

#### setPieCenterX

    public void setPieCenterX(double x)

Sets the x-coordinate of the center of the pie chart.

Parameters:
  `x` - the x-coordinate (in Java2D space).

#### getPieCenterY

    public double getPieCenterY()

Returns the y-coordinate (in Java2D space) of the center of the pie chart. For the `PiePlot3D` class, we derive this from the top of the pie.

Returns:
  The y-coordinate (in Java2D space).

#### setPieCenterY

    public void setPieCenterY(double y)

Sets the y-coordinate of the center of the pie chart. This method is used by the plot and typically is not called directly by applications.

Parameters:
  `y` - the y-coordinate (in Java2D space).

#### getLinkArea

    public java.awt.geom.Rectangle2D getLinkArea()

Returns the link area. This defines the "dog-leg" point for the label linking lines.

Returns:
  The link area.

#### setLinkArea

    public void setLinkArea(java.awt.geom.Rectangle2D area)

Sets the label link area. This defines the "dog-leg" point for the label linking lines.

Parameters:
  `area` - the area.

#### getPieHRadius

    public double getPieHRadius()

Returns the vertical pie radius.

Returns:
  The radius.

#### setPieHRadius

    public void setPieHRadius(double radius)

Sets the vertical pie radius.

Parameters:
  `radius` - the radius.

#### getPieWRadius

    public double getPieWRadius()

Returns the horizontal pie radius.

Returns:
  The radius.

#### setPieWRadius

    public void setPieWRadius(double radius)

Sets the horizontal pie radius.

Parameters:
  `radius` - the radius.